/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022LS00.java

*

* Created on 21/09/09 12:46:13

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public interface Q02bITablaBDQ022LS00 {

    /** Method reset */

    public void reset();



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna);



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect();



    /** Method freeResources() 

    * Este método libera los recursos del DAO.

    */

    public void freeResources();



    /** Method freeResourcesNotConnection() 

    * Este método libera los recursos del DAO.

    */

    public void freeResourcesNotConnection();



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect();



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas);



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas);



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom();



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif();



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead();



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur);



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate();



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu);



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas);



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy();



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException ;



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException ;



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException;



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException;



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException;



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException;



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException;



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException;



    /** Method update() */

    public void update()throws SQLException;



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException;



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException;



    /** Method delete */

    public void delete()throws SQLException;



    /** Method insert */

    public void insert()throws SQLException;



    /** Setter for property Q022LT00_ID_RESUL.

    * @param valor New value of propertyQ022LT00_ID_RESUL.

    */

    public void setQ022LT00_ID_RESUL(int valor);

    public void setQ022LT00_ID_RESUL(Integer valor);

    public void setQ022LT00_ID_RESUL_WHERE(int valor);

    public void setQ022LT00_ID_RESUL_WHERE(Integer valor);

    public void setQ022LT00_ID_RESUL_MODIF(boolean valor);

    /** Setter for property Q022LT00_PROV.

    * @param valor New value of propertyQ022LT00_PROV.

    */

    public void setQ022LT00_PROV(String valor);

    public void setQ022LT00_PROV_WHERE(String valor);

    public void setQ022LT00_PROV_MODIF(boolean valor);

    /** Setter for property Q022LT00_MUNI.

    * @param valor New value of propertyQ022LT00_MUNI.

    */

    public void setQ022LT00_MUNI(String valor);

    public void setQ022LT00_MUNI_WHERE(String valor);

    public void setQ022LT00_MUNI_MODIF(boolean valor);

    /** Setter for property Q022LT00_OTRF.

    * @param valor New value of propertyQ022LT00_OTRF.

    */

    public void setQ022LT00_OTRF(String valor);

    public void setQ022LT00_OTRF_WHERE(String valor);

    public void setQ022LT00_OTRF_MODIF(boolean valor);

    /** Setter for property Q022LT00_NRESPH.

    * @param valor New value of propertyQ022LT00_NRESPH.

    */

    public void setQ022LT00_NRESPH(String valor);

    public void setQ022LT00_NRESPH_WHERE(String valor);

    public void setQ022LT00_NRESPH_MODIF(boolean valor);

    /** Setter for property Q022LT00_NRESPV.

    * @param valor New value of propertyQ022LT00_NRESPV.

    */

    public void setQ022LT00_NRESPV(String valor);

    public void setQ022LT00_NRESPV_WHERE(String valor);

    public void setQ022LT00_NRESPV_MODIF(boolean valor);

    /** Setter for property Q022LT00_NRESPS.

    * @param valor New value of propertyQ022LT00_NRESPS.

    */

    public void setQ022LT00_NRESPS(String valor);

    public void setQ022LT00_NRESPS_WHERE(String valor);

    public void setQ022LT00_NRESPS_MODIF(boolean valor);

    /** Setter for property Q022LT00_NRESPA.

    * @param valor New value of propertyQ022LT00_NRESPA.

    */

    public void setQ022LT00_NRESPA(String valor);

    public void setQ022LT00_NRESPA_WHERE(String valor);

    public void setQ022LT00_NRESPA_MODIF(boolean valor);

    /** Setter for property Q022LT00_NRESPT.

    * @param valor New value of propertyQ022LT00_NRESPT.

    */

    public void setQ022LT00_NRESPT(String valor);

    public void setQ022LT00_NRESPT_WHERE(String valor);

    public void setQ022LT00_NRESPT_MODIF(boolean valor);

    /** Setter for property Q022LT00_NRESPP.

    * @param valor New value of propertyQ022LT00_NRESPP.

    */

    public void setQ022LT00_NRESPP(String valor);

    public void setQ022LT00_NRESPP_WHERE(String valor);

    public void setQ022LT00_NRESPP_MODIF(boolean valor);

    /** Setter for property Q022LT00_OBSHR.

    * @param valor New value of propertyQ022LT00_OBSHR.

    */

    public void setQ022LT00_OBSHR(String valor);

    public void setQ022LT00_OBSHR_WHERE(String valor);

    public void setQ022LT00_OBSHR_MODIF(boolean valor);

    /** Setter for property Q022HT00_ID_OFI.

    * @param valor New value of propertyQ022HT00_ID_OFI.

    */

    public void setQ022HT00_ID_OFI(int valor);

    public void setQ022HT00_ID_OFI(Integer valor);

    public void setQ022HT00_ID_OFI_WHERE(int valor);

    public void setQ022HT00_ID_OFI_WHERE(Integer valor);

    public void setQ022HT00_ID_OFI_MODIF(boolean valor);

    /** Setter for property Q022YT00_NI_FORMA.

    * @param valor New value of propertyQ022YT00_NI_FORMA.

    */

    public void setQ022YT00_NI_FORMA(long valor);

    public void setQ022YT00_NI_FORMA(Long valor);

    public void setQ022YT00_NI_FORMA_WHERE(long valor);

    public void setQ022YT00_NI_FORMA_WHERE(Long valor);

    public void setQ022YT00_NI_FORMA_MODIF(boolean valor);

    /** Setter for property Q022YT00_NI_RESUL_ENC.

    * @param valor New value of propertyQ022YT00_NI_RESUL_ENC.

    */

    public void setQ022YT00_NI_RESUL_ENC(long valor);

    public void setQ022YT00_NI_RESUL_ENC(Long valor);

    public void setQ022YT00_NI_RESUL_ENC_WHERE(long valor);

    public void setQ022YT00_NI_RESUL_ENC_WHERE(Long valor);

    public void setQ022YT00_NI_RESUL_ENC_MODIF(boolean valor);

    /** Setter for property Q022YT00_NI_SITU_INSP.

    * @param valor New value of propertyQ022YT00_NI_SITU_INSP.

    */

    public void setQ022YT00_NI_SITU_INSP(long valor);

    public void setQ022YT00_NI_SITU_INSP(Long valor);

    public void setQ022YT00_NI_SITU_INSP_WHERE(long valor);

    public void setQ022YT00_NI_SITU_INSP_WHERE(Long valor);

    public void setQ022YT00_NI_SITU_INSP_MODIF(boolean valor);

    /** Setter for property Q022YT00_NI_RESUL_INSP.

    * @param valor New value of propertyQ022YT00_NI_RESUL_INSP.

    */

    public void setQ022YT00_NI_RESUL_INSP(long valor);

    public void setQ022YT00_NI_RESUL_INSP(Long valor);

    public void setQ022YT00_NI_RESUL_INSP_WHERE(long valor);

    public void setQ022YT00_NI_RESUL_INSP_WHERE(Long valor);

    public void setQ022YT00_NI_RESUL_INSP_MODIF(boolean valor);

    /** Setter for property auditUser. 

    * @param valor New value of property auditUser.

    */

    public void setAuditUser(long  valor);

    public void setAuditUser(Long  valor);



    /** Getter for property Q022LT00_ID_RESUL.

    * @return Value of property Q022LT00_ID_RESUL.

    */

    public Integer getQ022LT00_ID_RESUL();



    /** Getter for property Q022LT00_ID_RESUL_WHERE.

    * @return Value of property Q022LT00_ID_RESUL_WHERE.

    */

    public Integer getQ022LT00_ID_RESUL_WHERE();



    /** Getter for property Q022LT00_PROV.

    * @return Value of property Q022LT00_PROV.

    */

    public String getQ022LT00_PROV();



    /** Getter for property Q022LT00_PROV_WHERE.

    * @return Value of property Q022LT00_PROV_WHERE.

    */

    public String getQ022LT00_PROV_WHERE();



    /** Getter for property Q022LT00_MUNI.

    * @return Value of property Q022LT00_MUNI.

    */

    public String getQ022LT00_MUNI();



    /** Getter for property Q022LT00_MUNI_WHERE.

    * @return Value of property Q022LT00_MUNI_WHERE.

    */

    public String getQ022LT00_MUNI_WHERE();



    /** Getter for property Q022LT00_OTRF.

    * @return Value of property Q022LT00_OTRF.

    */

    public String getQ022LT00_OTRF();



    /** Getter for property Q022LT00_OTRF_WHERE.

    * @return Value of property Q022LT00_OTRF_WHERE.

    */

    public String getQ022LT00_OTRF_WHERE();



    /** Getter for property Q022LT00_NRESPH.

    * @return Value of property Q022LT00_NRESPH.

    */

    public String getQ022LT00_NRESPH();



    /** Getter for property Q022LT00_NRESPH_WHERE.

    * @return Value of property Q022LT00_NRESPH_WHERE.

    */

    public String getQ022LT00_NRESPH_WHERE();



    /** Getter for property Q022LT00_NRESPV.

    * @return Value of property Q022LT00_NRESPV.

    */

    public String getQ022LT00_NRESPV();



    /** Getter for property Q022LT00_NRESPV_WHERE.

    * @return Value of property Q022LT00_NRESPV_WHERE.

    */

    public String getQ022LT00_NRESPV_WHERE();



    /** Getter for property Q022LT00_NRESPS.

    * @return Value of property Q022LT00_NRESPS.

    */

    public String getQ022LT00_NRESPS();



    /** Getter for property Q022LT00_NRESPS_WHERE.

    * @return Value of property Q022LT00_NRESPS_WHERE.

    */

    public String getQ022LT00_NRESPS_WHERE();



    /** Getter for property Q022LT00_NRESPA.

    * @return Value of property Q022LT00_NRESPA.

    */

    public String getQ022LT00_NRESPA();



    /** Getter for property Q022LT00_NRESPA_WHERE.

    * @return Value of property Q022LT00_NRESPA_WHERE.

    */

    public String getQ022LT00_NRESPA_WHERE();



    /** Getter for property Q022LT00_NRESPT.

    * @return Value of property Q022LT00_NRESPT.

    */

    public String getQ022LT00_NRESPT();



    /** Getter for property Q022LT00_NRESPT_WHERE.

    * @return Value of property Q022LT00_NRESPT_WHERE.

    */

    public String getQ022LT00_NRESPT_WHERE();



    /** Getter for property Q022LT00_NRESPP.

    * @return Value of property Q022LT00_NRESPP.

    */

    public String getQ022LT00_NRESPP();



    /** Getter for property Q022LT00_NRESPP_WHERE.

    * @return Value of property Q022LT00_NRESPP_WHERE.

    */

    public String getQ022LT00_NRESPP_WHERE();



    /** Getter for property Q022LT00_OBSHR.

    * @return Value of property Q022LT00_OBSHR.

    */

    public String getQ022LT00_OBSHR();



    /** Getter for property Q022LT00_OBSHR_WHERE.

    * @return Value of property Q022LT00_OBSHR_WHERE.

    */

    public String getQ022LT00_OBSHR_WHERE();



    /** Getter for property Q022HT00_ID_OFI.

    * @return Value of property Q022HT00_ID_OFI.

    */

    public Integer getQ022HT00_ID_OFI();



    /** Getter for property Q022HT00_ID_OFI_WHERE.

    * @return Value of property Q022HT00_ID_OFI_WHERE.

    */

    public Integer getQ022HT00_ID_OFI_WHERE();



    /** Getter for property Q022YT00_NI_FORMA.

    * @return Value of property Q022YT00_NI_FORMA.

    */

    public Long getQ022YT00_NI_FORMA();



    /** Getter for property Q022YT00_NI_FORMA_WHERE.

    * @return Value of property Q022YT00_NI_FORMA_WHERE.

    */

    public Long getQ022YT00_NI_FORMA_WHERE();



    /** Getter for property Q022YT00_NI_RESUL_ENC.

    * @return Value of property Q022YT00_NI_RESUL_ENC.

    */

    public Long getQ022YT00_NI_RESUL_ENC();



    /** Getter for property Q022YT00_NI_RESUL_ENC_WHERE.

    * @return Value of property Q022YT00_NI_RESUL_ENC_WHERE.

    */

    public Long getQ022YT00_NI_RESUL_ENC_WHERE();



    /** Getter for property Q022YT00_NI_SITU_INSP.

    * @return Value of property Q022YT00_NI_SITU_INSP.

    */

    public Long getQ022YT00_NI_SITU_INSP();



    /** Getter for property Q022YT00_NI_SITU_INSP_WHERE.

    * @return Value of property Q022YT00_NI_SITU_INSP_WHERE.

    */

    public Long getQ022YT00_NI_SITU_INSP_WHERE();



    /** Getter for property Q022YT00_NI_RESUL_INSP.

    * @return Value of property Q022YT00_NI_RESUL_INSP.

    */

    public Long getQ022YT00_NI_RESUL_INSP();



    /** Getter for property Q022YT00_NI_RESUL_INSP_WHERE.

    * @return Value of property Q022YT00_NI_RESUL_INSP_WHERE.

    */

    public Long getQ022YT00_NI_RESUL_INSP_WHERE();



    /** Getter for property auditUser.

    * @return Value of property auditUser.

    */

    public Long getAuditUser();



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor);



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase();



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion();



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog();



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor);



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros();



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor);



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy();



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor);



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere();



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere();



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor);



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere();



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor);



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor);



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct();



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor);



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio();



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor);



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal();



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor);



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows();



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor);



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax();



    /** Getter for property conexion.

    * @return Value of property conexion.

    */

    public Connection getConn();



}

